
package com.xdf.creative.base.params;
import com.xdf.creative.constant.CommonConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 查询参数
 */
@Data
@ApiModel("查询参数对象")
public abstract class QueryParam implements Serializable {
    private static final long serialVersionUID = -3263921252635611410L;

    @ApiModelProperty(value = "页码,默认为1")
    private Integer pageNum = CommonConstant.DEFAULT_PAGE_INDEX;
    @ApiModelProperty(value = "页大小,默认为10")
    private Integer pageSize = CommonConstant.DEFAULT_PAGE_SIZE;
//    @ApiModelProperty(value = "排序字段")
//    private String[] order = {"create_time"};
//    @ApiModelProperty(value = "排序类型默认降序 DESC/ASC")
//    private boolean[] doAsc = {CommonConstant.DEFAULT_PAGE_ORDER_TYPE};
    @ApiModelProperty(value = "排序字段")
    private String[] order = {};
    @ApiModelProperty(value = "排序类型默认降序 DESC/ASC")
    private boolean[] doAsc = {};


}
