
package com.xdf.creative.base.service;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 *
 * @param <T>
 */
public interface BaseService<T> extends IService<T> {

    Long getUserId() ;

    Long getOrganizeId();

    Integer getOrganizeType();

    String getRegionId(String regionId);

    boolean verifyUserPermission(Long userId);

    boolean verifyOrganizePermission(Long organizeId);

}
