package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 信息和关键字关联表 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-11-27
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfContentKeywordQueryVo对象", description = "信息和关键字关联表查询参数")
public class InfoContentKeywordQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "信息id")
    private Long contentId;

    @ApiModelProperty(value = "关键词id")
    private Long keywordId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}