package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 信息关键字 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-11-27
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoKeywordQueryVo对象", description = "信息关键字查询参数")
public class InfoKeywordCheckListVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "关键词")
    private String keyword;

    @ApiModelProperty(value = "是否通用 0 否 1是")
    private Integer isUse;

    @ApiModelProperty(value = "描述")
    private String detail;

    @ApiModelProperty(value = "状态 0 不可用 1可用")
    private Integer state;

    private String checked;

}