package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 相关链接 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoUrlQueryVo对象", description = "相关链接查询参数")
public class InfoUrlQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "外键id")
    private String foreignId;

    @ApiModelProperty(value = "链接名称")
    private String name;

    @ApiModelProperty(value = "链接url")
    private String url;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}