package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
/**
 * 审核状态 1 、审核 2、审核不通过 3、审核退回
 */
public enum InfoAuditTypeEnum {
    INFO_STATE_TYPE_AUDIT_PASS(1, "审核通过"),
    INFO_STATE_TYPE_AUDIT_NOPASS(2, "审核不通过"),
    INFO_STATE_TYPE_AUDIT_BACK(3, "审核退回");
    private Integer code;
    private String name;
    public static String getNameByCode(Integer code) {
        for (InfoAuditTypeEnum organizeTypeEnum : InfoAuditTypeEnum.values()) {
            if (organizeTypeEnum.code == code) {
                return organizeTypeEnum.name;
            }
        }
        return null;
    }
}
