package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
/**
 * 类型 1登录成功 2登录失败
 */
public enum LoginTypeEnum {
    LOGIN_TYPE_SUCCESS(1, "WEB用户登录"),
    LOGIN_TYPE_FAIL(2, "ADMIN用户登录");
    private Integer code;
    private String name;
    public static String getNameByCode(Integer code) {
        for (LoginTypeEnum organizeTypeEnum : LoginTypeEnum.values()) {
            if (organizeTypeEnum.code == code) {
                return organizeTypeEnum.name;
            }
        }
        return null;
    }
}
