package com.xdf.creative.enums.dt;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum InfoOperatorTypeEnum {
	INFO_OPERATOR_INIT(0, "初始"),
	INFO_OPERATOR_ADD(1, "增加"),
	INFO_OPERATOR_UPDATE(2,"修改"),
	INFO_OPERATOR_DELETE(3,"删除")
	    ;
	    private Integer code;
	    private String name;
	    public static String getNameByCode(Integer code) {
	        for(InfoOperatorTypeEnum infoOperatorTypeEnum : InfoOperatorTypeEnum.values()) {
	            if(infoOperatorTypeEnum.code == code) {
	                return infoOperatorTypeEnum.name;
	            }
	        }
	        return null;
	    }
	}
