package com.xdf.creative.enums.dt;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ParkApplyEnum {
	//处理状态 0 待处理 1沟通中 2 已完结（入住） 3已完结（未入住）
	PARK_APPLY_AUDIT(1, "待处理"),
	PARK_APPLY_PROCESS(2, "沟通中"),
	PARK_APPLY_CHECK(3, "已完结（入住）"),
	PARK_APPLY_UNCHECK(4, "已完结（未入住）"),
	    ;
	    private Integer code;
	    private String name;
	    public static String getNameByCode(Integer code) {
	        for(ParkApplyEnum busPublishEnum : ParkApplyEnum.values()) {
	            if(busPublishEnum.code == code) {
	                return busPublishEnum.name;
	            }
	        }
	        return null;
	    }
	}
