package com.xdf.creative.module.service;

import com.xdf.creative.base.params.WebParkEnterApplyEmailParam;
import com.xdf.creative.util.page.ApiResult;

public interface EmailService {

    /**
     * 发送邮件
     *
     * @param to
     * @param subject
     * @param content
     * @return
     * @throws Exception
     */
    ApiResult sendSimpleMail(String to, String subject, String content) throws Exception;

    /**
     * 园区入驻发送邮件
     *
     * @param webParkEnterApplyEmailParam
     * @return
     * @throws Exception
     */
    ApiResult sendParkEnterMail(WebParkEnterApplyEmailParam webParkEnterApplyEmailParam) throws Exception;


}
