package com.xdf.creative.module.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xdf.creative.base.params.creative.InnovationApplyQueryParam;
import com.xdf.creative.module.entity.InnovationApply;
import com.xdf.creative.util.page.PageTool;

/**
 * <p>
 * 文创上海创新创业报名通道表 服务类
 * </p>
 *
 * @author KanXianggui
 * @since 2022-09-16
 */
public interface InnovationApplyService extends IService<InnovationApply> {

    /**
     * 获取分页对象
     *
     * @param innovationApplyQueryParam
     * @return
     */
    PageTool<InnovationApply> getInfoInnovationApplyPageList(InnovationApplyQueryParam innovationApplyQueryParam);
}
