package com.xdf.creative.module.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xdf.creative.base.params.creative.SysUserBackQueryParam;
import com.xdf.creative.base.params.creative.SysUserRoleQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.SysUserBackQueryVo;
import com.xdf.creative.base.vo.creative.SysUserRoleQueryVo;
import com.xdf.creative.module.entity.SysUserRole;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 系统用户角色表 服务类
 * </p>
 *
 * @author DeanYe
 * @since 2019-10-30
 */
public interface SysUserRoleService extends BaseService<SysUserRole> {




    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysUserRoleQueryVo getSysUserRoleById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param sysUserRoleQueryParam
     * @return
     */
    PageTool<SysUserRoleQueryVo> getSysUserRolePageList(SysUserRoleQueryParam sysUserRoleQueryParam) throws Exception;

}
