
package com.xdf.creative.util;

import lombok.extern.slf4j.Slf4j;
import org.apache.commons.codec.digest.DigestUtils;
import org.apache.commons.lang3.StringUtils;

/**
 * 密码加密工具类
 *
 * @author DeanYe
 * @date 2018-11-08
 */
@Slf4j
public class PasswordUtil {
    private static final String KEY = "f80b2eed0110a7ea5a94c35cbea1fe003d9bb450803473428b74862cceb697f8";

    public static String encrypt(String pwd, String salt) {
        if (StringUtils.isBlank(pwd)) {
            return null;
        }
        return DigestUtils.sha256Hex(pwd + salt);
    }


    public static void main(String[] args) {
        String pss = encrypt("123456", "99952b31c18156169a26bec80fd211f6");

        System.out.println("----------:" + pss);
    }


}
