package com.xdf.creative.util;
public class StringUtil {
    public static String replaceSpecialCharacter(String str) {

        String newStr = str.trim();

        for (; ; ) {
            if (newStr.contains("\\\\")) {
                newStr = newStr.replaceAll("\\\\", "");
            } else if (newStr.contains("r")) {
                newStr = newStr.replaceAll("r", "");
            } else if (newStr.contains("n")) {
                newStr = newStr.replaceAll("n", "");
            } else {
                return newStr;
            }
        }

    }
    /**
     * 判断是否空字符串
     *
     * @param str
     * @return
     */
    public static boolean isEmpty(String str) {
        return ((str == null) || (str.trim().equals("")));
    }

    /**
     * 判断是否非空字符串
     *
     * @param str
     * @return
     */
    public static boolean isNotEmpty(String str) {
        return !((str == null) || (str.trim().equals("")));
    }

    public static boolean longIsNotEmpty(Long val) {
        return !((val == null) || (val == 0));
    }

}
