
package com.xdf.creative.util.convert;

import com.xdf.creative.base.params.creative.AddSysRoleParam;
import com.xdf.creative.module.entity.SysRole;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 系统角色转换器
 *
 * @author DeanYe
 * @date 2019-10-05
 **/
@Mapper
public interface SysRoleConvert {

    SysRoleConvert INSTANCE = Mappers.getMapper(SysRoleConvert.class);

    /**
     * AddSysRoleParam转SysRole
     *
     * @param addSysRoleParam
     * @return
     */
    SysRole addSysRoleParamToSysRole(AddSysRoleParam addSysRoleParam);
}
