
package com.xdf.creative.util.convert;

import com.xdf.creative.base.params.creative.SysUserQueryParam;
import com.xdf.creative.base.vo.creative.SysUserQueryVo;
import com.xdf.creative.module.entity.SysUser;
import com.xdf.creative.support.auth.LoginSysUserVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * @author DeanYe
 * @date 2019-10-05
 **/
@Mapper
public interface SysUserConvert {

    SysUserConvert INSTANCE = Mappers.getMapper(SysUserConvert.class);

    /**
     * 系统用户实体对象转换成登陆用户VO对象
     *
     * @param sysUser
     * @return
     */
    LoginSysUserVo sysUserToLoginSysUserVo(SysUser sysUser);

    SysUserQueryVo sysUserToSysUserQueryVo(SysUser sysUser);

    SysUser sysUserQueryParamToSysUser(SysUserQueryParam sysUserQueryParam);


}
