package com.xdf.creative.util.file;

import com.xdf.creative.enums.ServiceFileDirEnum;

public class ServerUploadDirUtil {

    // 0 banner 101 1 公告信息 102 2文创会动态 103 3行业动态 106 4政策动态 108 5 文化活动activity 109
    public static String getFileUploadDir(Integer type) {
        String uploadDir = "";
        switch (type) {
            case 101:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_BANNER.getName();
                break;
            case 102:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_NOTICE.getName();
                break;
            case 103:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_DYNAMIC.getName();
                break;
            case 106:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_TRADE_DYNAMIC.getName();
                break;
            case 108:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_POLICY.getName();
                break;
            case 109:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_ACTIVITY.getName();
                break;
            case 113:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_APPLY.getName();
                break;
            case 110:
                uploadDir =ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_QR.getName();
                break;
            case 114:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_PUBLIC_INNOVATION.getName();
                break;
            case 999:
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_OTHER.getName();
                break;
            default: //可选
                uploadDir = ServiceFileDirEnum.SERVICE_FILE_DIR_OTHER.getName();
        }
        return uploadDir;
    }
}
