package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author : lgw
 * @date : 15:34 2020/3/27
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "SysPermissionUserVo对象", description = "系统权限查询参数")
public class SysPermissionUserVo  implements Serializable {
    private static final long serialVersionUID = 2738804574228359190L;


    @ApiModelProperty(value = "权限名称")
    private String name;

    private String resourceId;

    @ApiModelProperty(value = "路径")
    private String url;
}
