package com.xdf.creative.base.vo.dt;

import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 基本信息审核表 查询参数对象
 * </p>
 *
 * @author DeanYe
 * @date 2020-01-03
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtInfoAuditQueryParam对象", description = "基本信息审核表查询参数")
public class DtRegionVo extends QueryParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id1")
    private Long id;
    @ApiModelProperty(value = "上级区域id")
    private Long cityId;
    @ApiModelProperty(value = "区域名称")
    private String name;


}
