package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
/**
 * 退回类型 1、初审退回  2、终审退回
 */
public enum InfoBackTypeEnum {
    INFO_STATE_TYPE_AUDIT_BACK_FIRST(1, "初审退回"),
    INFO_STATE_TYPE_AUDIT_BACK_FINAL(2, "终审退回");
    private Integer code;
    private String name;
    public static String getNameByCode(Integer code) {
        for (InfoBackTypeEnum organizeTypeEnum : InfoBackTypeEnum.values()) {
            if (organizeTypeEnum.code == code) {
                return organizeTypeEnum.name;
            }
        }
        return null;
    }
}
