package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum InitiationApplryAduitStateEnum {
    /**
     * 审核状态  1 待审核  2审核通过  3审核失败
     */
    INITIATION_APPLRY_ADUIT_STATE_WAIT(1, "待审核 "),
    INITIATION_APPLRY_ADUIT_STATE_PASS(2, "审核通过"),
    INITIATION_APPLRY_ADUIT_STATE_FAILED(3, "审核失败"),
    INITIATION_APPLRY_ADUIT_STATE_SEND(4, "报送");
    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (InitiationApplryAduitStateEnum sysSignState : InitiationApplryAduitStateEnum.values()) {
            if (sysSignState.code == code) {
                return sysSignState.name;
            }
        }
        return null;
    }
}
