package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 全国行政区域[sys_region]
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysRegion对象", description = "全国行政区域[sys_region]")
public class SysRegion extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "行政区代码")
    private String regionId;

    @ApiModelProperty(value = "行政区域名称")
    private String regionName;

    @ApiModelProperty(value = "上级行政区域")
    private String parRegionId;

    @ApiModelProperty(value = "值：0、草稿    1、提交")
    private Integer state;

    private String descript;

}
