package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.InfoUrlQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.InfoUrlQueryVo;
import com.xdf.creative.module.entity.InfoUrl;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 相关链接 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
public interface InfoUrlService extends BaseService<InfoUrl> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoUrlQueryVo getInfoUrlById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param infoUrlQueryParam
     * @return
     */
    PageTool<InfoUrlQueryVo> getInfoUrlPageList(InfoUrlQueryParam infoUrlQueryParam) throws Exception;

}
