package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.WxGroupQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.WxGroupQueryVo;
import com.xdf.creative.module.entity.WxGroup;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 微信群二维码 服务类
 * </p>
 *
 * @author lgw
 * @since 2021-01-28
 */
public interface WxGroupService extends BaseService<WxGroup> {

    /**
     * 启用停用
     * @param id
     * @return
     */
    ApiResult enable(Serializable id);

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    WxGroupQueryVo getWxGroupById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param wxGroupQueryParam
     * @return
     */
    PageTool<WxGroupQueryVo> getWxGroupPageList(WxGroupQueryParam wxGroupQueryParam) throws Exception;

}
